╭───────────────────╮
│ EventAlertMod 法術特效觸發提醒器	│
├───────────────────┴───────────────────────────╮
│˙原作者：PinkyCurse@Curse.com	˙原版本：EventAlert2 Ver 5.1.3 (2010/01/10)		│
│												│
│˙修改者：永恆滿月@冰風崗哨		˙首次修改版本：EventAlert2 Ver 4.2.26 (2010/04/28)	│
│												│
│˙發布網址：											│
│	1.巴哈姆特網站：http://forum.gamer.com.tw/C.php?page=1&bsn=05219&snA=464455&subbsn=0	│
│	2.藏寶箱網站：http://wowbox.yatta.com.tw/bbs/viewtopic.php?f=84&t=21778			│
│												│
│˙特別感謝三位朋友：										│
│	咫尺天涯、沉睡魅力、不哭就不哭 (@冰風崗哨)						│
│	一直不厭其煩的，開著他們僅有的滿級分身，來幫忙測試技能、回報問題、重現問題。		│
│												│
│˙感謝以下所有人員協助提供法術技能 ID：(@巴哈姆特)						│							│
│	chiuan0909(心靈悸動), a52362(蔣公), catcnt(寶寶), walegi(墨色), sacobo(七星),		│
│	alen2158(阿達), Q7917(搖錢樹), f5110110(淡淡), ldg(帥氣健太郎), downling(當掉),		│
│	scs520(西爾芙)										│
╰───────────────────────────────────────────────╯

╭───────────────────╮
│版本更新紀錄 / Change Logs		│
╰───────────────────╯
-- Version 4.6.02 (2011/06/30)
	*LUA修正：WOW 4.2 改版，修正COMBAT_LOG_EVENT_UNFILTERED參數順序。
	*LUA修正：修正跨伺服隨機時，生命之花堆疊偵測，無法顯示問題。


-- Version 4.6.01a (2011/05/26)
	*BUG修正：自身Buff/Debuff條件檢測時，會作兩次條件檢測(本職業區、跨職業區)。而第二次檢測
	若無該法術ID的話，會導致顯示該監控框架，而達不到條件篩選的目的。修改此一BUG。
	若本職業區、跨職業區，含有相同法術ID監控時，則以本職業區條件為判斷標準。


-- Version 4.6.01 (2011/05/11)
	*名稱異動：為避免與 Curse.com 的 EventAlert、EventAlert2 混淆，以及因為參數檔名稱相同、但
	規則不同，導致載入錯誤的問題，本UI更名為 EventAlertMod，指令一併改為 /eventalertmod(/eam)
	於 WTF 的存檔，也將使用 EventAlertMod.lua 作為參數存檔。
	請注意，由於部份UI框架仍可能是相同名稱，因此請勿同時使用 EventAlert 與本 EventAlertMod。
	*功能調整：使用 show, showc, showt 指令時，自動帶出觸發法術清單視窗。
	*功能調整：首領斬殺提示，調整是否等級高於玩家2級時，也套用斬殺提示。


-- Version 4.5.05d (2011/05/03)	- 未公開版
	*功能新增：特殊框架新增生命之花監控。監控自己所施放的生命之花目前最大堆疊數。
	(施放對象若為隊伍、團隊成員以外，則不顯示生命之花堆疊數)
	(若有日月蝕能量，也不顯示生命之花堆疊數)
	*功能調整：牧師的懺悟、薩滿的治癒大雨，在技能CD監控時，增加了法術ID的轉換，來正確顯示CD。
	*功能新增：Buff/Debuff/技能書/快捷列，顯示法術的說明時，增加顯示法術ID。(感謝曉漁提供)


-- Version 4.5.05c (2011/04/27)	- 未公開版
	*LUA修正：WOW 4.1 改版，修正COMBAT_LOG_EVENT_UNFILTERED參數順序。
	*LUA修正：修正問題。更新版本時若有刪除WTF紀錄檔，登入第二種之後職業角色時發生無監控清單。
	*LUA修正：修正重登時因為LUA錯誤，導致重新載入預設清單的問題。


-- Version 4.5.05b (2011/04/25)	- 未公開版
	*LUA修正：修正目標行多個Buff/Debuff/連擊框架監控時。框架位置不對的問題。
	*LUA修正：修正首領等級判斷為：-1級或大於等於玩家3級以上。
	*功能新增：跨職業監控區，新增新型參數調整。
	*功能新增：參數調整擴充高亮顯示判斷。(法術堆疊層數大於等於多少時，將框架高亮顯示)
	

-- Version 4.5.05a (2011/04/21)	- 未公開版
	*LUA修正：修正部份語法錯誤，讀取不到空法術清單。
	*功能新增：新增介面調整特殊框架(日月能、符能、連擊數、靈魂能量、聖能)。


-- Version 4.5.05 (2011/04/20) - 未公開版
	*功能調整：載入內建監控清單規則翻修，廢除舊版 EventAlert_SpellArray.lua，改為新型格式，
	本職業監控、目標監控支援新型參數調整：是否只限玩家施法、以及限制堆疊層數超過多少時顯示。
	*功能新增：新增斬殺階段提示，首領血量低於設定值時，提示斬殺動畫，預設為關閉(0%)。


-- Version 4.5.04b (2011/04/14)	- 未公開版
	*功能調整：設定畫面按鈕顏色調整，本職業監控區、目標監控區，新增設定按鈕。
	*功能調整：平衡德日月蝕、集星點數、聖能點數滿時，提供閃爍特效。


-- Version 4.5.04a (2011/04/09)
	*功能修正：監控CD事件改用COMBAT_LOG_EVENT_UNFILTERED，可正確顯示CD時間。


-- Version 4.5.04 (2011/03/31)
	*功能調整：載入內建監控清單規則翻修，廢除舊版 EventAlert_SpellArray.lua，改為新型格式，
	支援動態載入內建預設清單，所有監控區域都可以隨時載入內建清單。
	*功能新增：額外提醒區重做，現版本新增為可以動態新增/刪除額外提醒。
	*功能調整：版本提示視窗改為可以捲動、可以拖動。
	*功能調整：show, showc, showt, lookup, lookupfull 指令輸出結果不再顯示於對話窗格，
	改為顯示於觸發法術清單視窗中，並提供更容易閱讀的格式。每下達以上指令會清除先前輸出結果。
	*功能新增：list指令，顯示觸發法術清單，上述所有指令顯示結果，均在此視窗。

	
-- Version 4.5.03a (2011/03/27)
	*LUA修正：修正英文語系檔的 "符號 換行錯誤
	*語系新增：簡體中文
	
	
-- Version 4.5.03 (2011/03/26)
	*功能新增：監控區域的法術，提供Tooltip顯示，可以使用Shift+點選，將法術顯示於預設對話窗。
	*功能新增：增加 lookup(l), lookupfull(lf)指令，可在遊戲中以法術名稱查詢所有符合之法術。
	[輸入名稱]與[查詢結果]的比對規則，lookup為部份符合，lookupfull為完整符合。
	
	
-- Version 4.5.02 (2011/02/23)
	*功能新增：聖騎士聖能、術士靈魂能量、賊/貓D的連擊數、死騎符文能量、鳥D日月能監控。
	*功能新增：目標的Buff監控。
	*功能新增：各監控區的全選、全不選按鈕，可一次全選或不選清單內法術。
	*功能調整：目標Buff/Debuff監控，強制為獨立一行顯示。
	*功能調整：各職業的圖示位置不再共用，各自獨立。
	*功能調整：內建的法術清單，被刪除後將不再自動載入。
	*文字修改：各監控區的文字說明，做了些簡單的修改。
	
	
-- Version 4.5.01c (2010/10/23)
	*LUA修正：修正自動新增監控功能，原本自動新增是將法術建立於各職業區，上一版將法術建立於
	共用區，而造成共用區看不到自動新增法術的問題。
	*LUA修正：預設圖示位置，刪除功能導致的LUA錯誤訊息(不影響功能)。
	*添加內建清單：
	德魯依-射星術,日炎術,星湧術
	術士-強力小鬼,末日災厄(catcnt@巴哈提供)
	
	
-- Version 4.5.01b (2010/10/20)
	*LUA修正：修正額外提醒區，傳入的參數不正確，使得額外提醒區無作用的問題。
	*特別感謝：咫尺天涯@冰風崗哨，協助測試聖騎技能。a52362@巴哈，提供獵人監控技能。
	
	
-- Version 4.5.01a (2010/10/19)
	*特別感謝：咫尺天涯@冰風崗哨，協助測試聖騎技能。
	
	
-- Version 4.5.01 (2010/10/18)
	*LUA修改：因應 WOW 4.0.1 改版，修正變動部份。
	*法術修改：因改版後，許多法術ID消滅、等級整合為一，因此刪除原本內建各職業法術清單。
	目前有內建清單的職業有：三系法師、樹鳥德、戒暗牧、死騎。
	*功能新增：showcast(showc)指令，可以在成功施放法術後，顯示該法術的法術ID。
	*再次感謝：chiuan0909補充各職業的法術技能，以便鍵入內建監控清單。
	
	
-- Version 4.4.09 (2010/10/11)
	*功能新增：技能CD監控，提供各職業特定技能CD的監控。
	*感謝：chiuan0909提供各職業監控技能心得。
	
	
-- Version 4.4.08 (2010/9/11)
	*功能修改：目標Debuff位置，由參數設定方式改為拖曳方式，因此參數不同，請重新拖曳至理想位置。
	*功能修改：減少監視法術每次更新時的查詢頻率，以降低系統使用量。
	*特別感謝：國服帳號協助提供：夢舞清夏、咫尺天涯＠冰風崗哨
	
	
-- Version 4.4.07 (2010/7/24)
	*功能修改：showautoadd(showa)指令，恢復新增來自小隊或團隊給予的buff/debuff。
	(等同4.4.05版的showa)
	*功能新增：showenvadd(showe)指令，排除來自小隊或團隊給予的buff/debuff。
	(等同4.4.06版的showa)
	另外，啟動 showa 或 showe 指令時，已在清單內而且不勾選的法術，將不會再顯示於提示框架中。
	*BUG修正：修正新增『監控目標Debuff法術ID』造成的LUA錯誤。(只有新增的時候會出錯，
	重登即可正常顯示)
	*其他，修改指令說明：/ea 顯示簡短說明。/ea help 顯示詳細說明。
	
	
-- Version 4.4.06 (2010/7/08)
	*功能修改：showautoadd(showa)指令，排除來自小隊或團隊給予的buff，
	以減少RAID首領戰中，新增過多不必要的團隊Buff/Debuff。
	(缺點例如: ICC女王的吸血鬼咬人，若不是第一個被咬，而來自團隊的被咬Debuff，會被排除。)
	*功能修改：『職業提示』、『其他提示』、『目標提示』畫面清單，導入了下拉捲軸。
	*BUG修正：觸發『額外提醒』的功能會有LUA錯誤，現在修正此BUG。
	(感謝冰風崗哨 - 沉睡魅力、咫尺天涯協助，反覆測試BUG發生點)
	*其他，分享一些BOSS首領戰的法術ID：(沒有加入內建，是否要使用請各位自行斟酌)
		-- ICC 25R - Lich King / 巫妖王
			-- 亡域瘟疫 73785
			-- 苦痛受難 73788
		-- 晶紅聖所 - 25R / 三小王
			-- 火焰信標 74453
			-- 衰弱烙印 74505
		-- 晶紅聖所 - 25R / 海萊恩
			-- P1+P3 熾熱燃灼 74562
			-- P2+P3 靈魂損耗 74792
	
	
-- Version 4.4.05 (2010/7/06)
	*功能修改：原本 debug 指令更名為 show 指令，格式：show [sec]。sec秒數，預設為0(不限制)。
	*功能修改：新增列出目標身上 debuff 指令，格式：showtarget(showt) [sec]。sec秒數，預設為0(不限制)。
	*功能修改：新增自動增加身上 buff/debuff 指令，格式：showautoadd(showa) [sec]。sec秒數，預設為60。
	*功能修改：在勾選『目標Debuff以另一行顯示』時，自身的Debuff將改為中間往左邊擴展，提高辨識度。
	*LUA修改：更新程式碼，減少查詢法術資訊(GetSpellInfo)的次數。
	*LUA修改：因應 3.3.5 版，將對話輸入框改為 ChatFrame1EditBox。(影響插件發布按鈕的功能)
	*其他，藏寶箱討論串更改至 http://wowbox.yatta.com.tw/bbs/viewtopic.php?f=84&t=21778
	*其他，修改 /ea 指令說明。
	*其他，新增跨職業監測之法術ID：
		-- ICC - Blood Princes / 血親王議會
			-- Shadow Prison / 暗影之牢	/ Heroic
		-- ICC - Valithria Dreamwalker / 瓦莉絲瑞雅．夢行者
			-- Twisted Nightmares /	扭曲夢魘 / Heroic
		-- ICC - Sindragosa / 辛德拉苟莎
			-- Unchained Magic / 無束魔法
	
	
-- Version 4.4.04 (2010/6/24)
	*新增功能：目標Debuff行，是否另以一行顯示。
	*新增功能：目標Debuff監測，是否僅限於玩家本身所施放，不顯示其他玩家所施放之相同Debuff。
	(例如:術士之間的Debuff)。
	*新增功能：增加其他提示清單(其他提示為：BOSS技能、飾品、跨職業之共通技能區)，及遊戲中能新增
	刪除之操作介面。
	*檔案、程式碼整理：請刪除先前版本之 EventAlert UI 資料夾，直接使用此版本即可。
	
	
-- Version 4.4.03 (2010/6/23)
	*修正UI載入初始化時，因為更新乳牛圖示造成的錯誤訊息(此錯誤不會影響功能,不過還是改掉)
	*載入術士監視目標debuff特效：腐蝕、獻祭、四種詛咒
	*修正鳥德監視目標debuff特效ID：月火、蟲群
	*增加牧師監視目標debuff特效：虛弱靈魂
	
	
-- Version 4.4.02 (2010/6/22)
	*新增遊戲中，顯示監測之當前目標Debuff清單、及新增刪除之操作介面
	
	
-- Version 4.4.01 (2010/6/22)
	*新增功能：監控當前目標身上之Debuff
	*當前目標Debuff類型圖示，以深綠 <-> 正常顯示，目標Debuff類型預設往左擴展
	
	
-- Version 4.3.10 (2010/6/20)
	*修正BUG，調整提醒框架至畫面邊緣時，會導致位置偏移問題
	*圖示位置選項，新增所見所得的調整效果，並提供提示數值
	*調整圖示大小時，自動變動顯示字型大小
	*廢棄此指令：/ea ver
	
	
-- Version 4.3.09 (2010/5/25)
	*於設定選單新增發布網址按鈕，於聊天輸入框顯示網址
	*於設定選單新增版本編號
	*各職業主要法術清單視窗，改為動態高度，最高高度限制為800
	*同步TOC的版本編號
	
	
-- Version 4.3.08 (2010/5/25)
	*新增遊戲內調整監控法術ID，可由新增、刪除來動態調整。並於列表中
	增加法術小圖示。
	*儲存/載入最終調整監控的法術ID，切換角色後不用再度調整。
	*新增Debuff類型圖示，以深紅 <-> 正常顯示
	*新增冰龍P3階段秘能連擊法術 ID (10R/25R/英雄，ID不同)
	*新增牧師注入能量、痛苦鎮壓、小D啟動，於全職業監控。
	
	
-- Version 4.3.06
	* 修正異物逐除飾品觸發特效提示(感謝teddyboy協助測試)
	
	
-- Version 4.3.05
	*Tips 修改為中文說明
	修改 debug 指令，改為列出身上所有Buffs與Debuffs的法術ID
	*修正異物逐除飾品觸發特效提示(未成功，無倒數秒數)
	
	
-- Version 4.3.03
	新增 debug 指令，開啟或關閉，列出身上所有Buff的法術ID
	
	
-- Version 4.3.02
	*為避免混淆，開始修改版本編號
	*新增 localization.lua、localization.tw.lua 將介面改為中文化
	*載入時清除所有已移除廢棄之法術ID
	*修正法師冰霜之指法術ID
	
	
-- Version 4.2.26
	*增加Debuff判斷
	*增加堆疊數目顯示
	*增加小d技能、ICC綠龍冰龍技能顯示